> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /agent-tools

> Create new agent tool.

### Body

<ParamField body="toolId" type="string">
  A valid `Tool` ID.
</ParamField>

<ParamField body="agentId" type="string">
  A valid `Agent` ID.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  Agent tool object
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.rapidagent.ai/api/v1/agent-tools' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>'
  --data-raw '{
      "agentId": "<AGENT_ID>",
      "toolId": "<TOOL_ID>"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
        "user": {},
        "agent": {},
        "agentId": "",
        "tool": {},
        "toolId": ""
      }
  }
  ```
</ResponseExample>
